# vim:expandtab:
local helmapp = import "../../../_templates/argo_helm_app.template";
local vars = import "prometheus_vars";

[
helmapp + {
  name:: "prometheus-grafana",
  namespace: vars.namespace,
  repo:: "https://prometheus-community.github.io/helm-charts",
  chart:: "kube-prometheus-stack",
  version:: vars.version,
  skipCrds:: true,
  values:: |||
    kubeProxy:
      enabled: false
    kubeScheduler:
      enabled: false
    kubeControllerManager:
      enabled: false
    alertmanager:
      config:
        global:
          resolve_timeout: 5m
        route:
          group_by: ['alertname', 'cluster']
          group_wait: 30s
          group_interval: 5m
          repeat_interval: 12h
          receiver: 'pushover'
          routes:
            - receiver: 'null'
              matchers:
                - alertname="Watchdog"
            - receiver: 'null'
              matchers:
                - alertname="InfoInhibitor"
        receivers:
          - name: 'null'
          - name: 'pushover'
            pushover_configs:
              - user_key: x9PipXt1zGOU31OJH9Osv18BFrlRhw
                token: aqvce1uukerhxhayxdq85wgtdh2c5r
    prometheus:
      prometheusSpec:
        storageSpec:
          volumeClaimTemplate:
            spec:
              accessModes: ["ReadWriteOnce"]
              resources:
                requests:
                  storage: 10Gi
  |||
}
]
